Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Mem_Map.cpp File Reference

`#include "ace/Mem_Map.h"`
`#include "ace/OS_NS_sys_stat.h"`
`#include "ace/OS_NS_fcntl.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/SString.h"`

Include dependency graph for Mem_Map.cpp:

## Defines
#define | ACE_USE_MAPPING_NAME 1
## Functions
const char * | get_rcsid_ace_Mem_Map (const char *)
void | to_mapping_name (ACE_TCHAR *mapobjname, const ACE_TCHAR *filename, size_t len)
## Variables
const char * | rcsid_ace_Mem_Map = get_rcsid_ace_Mem_Map ( rcsid_ace_Mem_Map )

## Define Documentation

#define ACE_USE_MAPPING_NAME 1

## Function Documentation

const char* get_rcsid_ace_Mem_Map | ( | const char * |  | ) | `[inline, static]`

void to_mapping_name | ( | ACE_TCHAR * | mapobjname,
|  | const ACE_TCHAR * | filename,
|  | size_t | len
| ) | `[static]`

## Variable Documentation

const char* rcsid_ace_Mem_Map = get_rcsid_ace_Mem_Map ( rcsid_ace_Mem_Map )`[static]`